<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/core/Map.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_3d69f64eaf81436fe2b22361382717e5.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Map.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Map_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &lt;SFML/Graphics.hpp&gt;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="preprocessor">#include &lt;<a class="code" href="Attributes_8hpp.html">resources/Attributes.hpp</a>&gt;</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;<a class="code" href="XMLDocument_8hpp.html">resources/XMLDocument.hpp</a>&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="preprocessor">#include &lt;<a class="code" href="BuildingTile_8hpp.html">tile/BuildingTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="preprocessor">#include &lt;<a class="code" href="RoadTile_8hpp.html">tile/RoadTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="preprocessor">#include &lt;<a class="code" href="TerrainTile_8hpp.html">tile/TerrainTile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="preprocessor">#include &lt;<a class="code" href="Tile_8hpp.html">tile/Tile.hpp</a>&gt;</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html">   14</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Map.html">Map</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// void DepthFirstSearch(std::vector&lt;&gt; &amp;whiteList, sf::Vector2i pos, int</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    <span class="comment">// label, int type);</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a2ef8c67d44425d20ee7308b43254fd91">   21</a></span>    <a class="code hl_function" href="classgg_1_1Map.html#a2ef8c67d44425d20ee7308b43254fd91">Map</a>() = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">   22</a></span>    <a class="code hl_function" href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">~Map</a>();</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#abfc7f2a9da7831b7d3e6dd049535416b">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#abfc7f2a9da7831b7d3e6dd049535416b">LoadFromXML</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1XMLDocument.html">XMLDocument</a> &amp;);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">SaveToFilename</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">draw</a>(sf::RenderWindow &amp;window);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">   28</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">Update</a>();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">SetWidth</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> width);</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">   31</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">SetHeight</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> height);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">   32</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">SetTileSize</a>(sf::Vector2f tileSize);</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">SetBegin</a>(sf::Vector2f begin);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">   34</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">ChangeLocation</a>();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#aacfc3a30c868a2a32cd27c1e5ed77806">   35</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#aacfc3a30c868a2a32cd27c1e5ed77806">MoveMap</a>(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">   37</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">ChangeTile</a>(<a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *, <a class="code hl_class" href="classgg_1_1Tile.html">Tile</a> *);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span> </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">   39</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">CreateGrassTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1TerrainTile.html">TerrainTile</a> *;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">   40</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">CreateWaterTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1TerrainTile.html">TerrainTile</a> *;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">   41</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">CreateWaterDownTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1TerrainTile.html">TerrainTile</a> *;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">   42</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">CreateCanalTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1TerrainTile.html">TerrainTile</a> *;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">   43</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">CreateTreeTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1TerrainTile.html">TerrainTile</a> *;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">   44</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">CreateResidentialTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1BuildingTile.html">BuildingTile</a> *;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">   45</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">CreateIndustrialTile</a>(sf::Vector2f coordinates) -&gt; <a class="code hl_class" href="classgg_1_1BuildingTile.html">BuildingTile</a> *;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">   46</a></span>    <span class="keyword">auto</span> <a class="code hl_function" href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">CreateRoadTile</a>(sf::Vector2f coordinates, <a class="code hl_enumeration" href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">RoadType</a> roadType) -&gt; <a class="code hl_class" href="classgg_1_1RoadTile.html">RoadTile</a> *;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a381f238efdcb30cc28663354a945486a">   49</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="classgg_1_1Map.html#a381f238efdcb30cc28663354a945486a">mWidth</a>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a50031a1279a761fa3e5f85a43a13305c">   50</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="classgg_1_1Map.html#a50031a1279a761fa3e5f85a43a13305c">mHeight</a>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a18faf048795c8c32358905ab6c094742">   52</a></span>    std::vector&lt;Tile *&gt; <a class="code hl_variable" href="classgg_1_1Map.html#a18faf048795c8c32358905ab6c094742">mTiles</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#aa0c694c9227698769a93f49838195360">   54</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1Map.html#aa0c694c9227698769a93f49838195360">mBegin</a>;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ac75a2f7eb85b5c8e371ee7bddf5d6977">   55</a></span>    sf::Vector2f <a class="code hl_variable" href="classgg_1_1Map.html#ac75a2f7eb85b5c8e371ee7bddf5d6977">mTileSize</a>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span> </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ac22338ca9e8d796a4e54306c475c6f44">   57</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#ac22338ca9e8d796a4e54306c475c6f44">mResidentialAttributes</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a16b8ca70d9aa145242d4d9da2ec98d14">   58</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a16b8ca70d9aa145242d4d9da2ec98d14">mIndustrialAttributes</a>;</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a7075005892d768dd8d31a25bc7a1fe41">   59</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a7075005892d768dd8d31a25bc7a1fe41">mTreeAttributes</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a4b0a1fe7ee107aa46f7828149f3b3557">   60</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a4b0a1fe7ee107aa46f7828149f3b3557">mCanalAttributes</a>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a8b6377fce0335a7f59f420e934f9489b">   61</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a8b6377fce0335a7f59f420e934f9489b">mWaterDownAttributes</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a788f46a8ab34327503a10af9b36800d5">   62</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a788f46a8ab34327503a10af9b36800d5">mGrassAttributes</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#a7c7f62271a61e86c842ca09538696c59">   63</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#a7c7f62271a61e86c842ca09538696c59">mWaterAttributes</a>;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#aa67ab84e40e97b70638d97c23d6b35c1">   64</a></span>    <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> <a class="code hl_variable" href="classgg_1_1Map.html#aa67ab84e40e97b70638d97c23d6b35c1">mRoadAttributes</a>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">SetActive</a>(<span class="keywordtype">bool</span> b);</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>};</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aAttributes_8hpp_html"><div class="ttname"><a href="Attributes_8hpp.html">Attributes.hpp</a></div></div>
<div class="ttc" id="aBuildingTile_8hpp_html"><div class="ttname"><a href="BuildingTile_8hpp.html">BuildingTile.hpp</a></div></div>
<div class="ttc" id="aRoadTile_8hpp_html"><div class="ttname"><a href="RoadTile_8hpp.html">RoadTile.hpp</a></div></div>
<div class="ttc" id="aTerrainTile_8hpp_html"><div class="ttname"><a href="TerrainTile_8hpp.html">TerrainTile.hpp</a></div></div>
<div class="ttc" id="aTile_8hpp_html"><div class="ttname"><a href="Tile_8hpp.html">Tile.hpp</a></div></div>
<div class="ttc" id="aXMLDocument_8hpp_html"><div class="ttname"><a href="XMLDocument_8hpp.html">XMLDocument.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1BuildingTile_html"><div class="ttname"><a href="classgg_1_1BuildingTile.html">gg::BuildingTile</a></div><div class="ttdef"><b>Definition:</b> BuildingTile.hpp:15</div></div>
<div class="ttc" id="aclassgg_1_1Map_html"><div class="ttname"><a href="classgg_1_1Map.html">gg::Map</a></div><div class="ttdef"><b>Definition:</b> Map.hpp:15</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a0144d50a38f0009ae27c8dd1e8e189e2"><div class="ttname"><a href="classgg_1_1Map.html#a0144d50a38f0009ae27c8dd1e8e189e2">gg::Map::CreateCanalTile</a></div><div class="ttdeci">auto CreateCanalTile(sf::Vector2f coordinates) -&gt; TerrainTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a018473c20f94a257cb21bd60cf45aae9"><div class="ttname"><a href="classgg_1_1Map.html#a018473c20f94a257cb21bd60cf45aae9">gg::Map::SetTileSize</a></div><div class="ttdeci">void SetTileSize(sf::Vector2f tileSize)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a0ba0aa7796a4478c56bde6efff1fe094"><div class="ttname"><a href="classgg_1_1Map.html#a0ba0aa7796a4478c56bde6efff1fe094">gg::Map::CreateResidentialTile</a></div><div class="ttdeci">auto CreateResidentialTile(sf::Vector2f coordinates) -&gt; BuildingTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a16b8ca70d9aa145242d4d9da2ec98d14"><div class="ttname"><a href="classgg_1_1Map.html#a16b8ca70d9aa145242d4d9da2ec98d14">gg::Map::mIndustrialAttributes</a></div><div class="ttdeci">Attributes mIndustrialAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:58</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a18faf048795c8c32358905ab6c094742"><div class="ttname"><a href="classgg_1_1Map.html#a18faf048795c8c32358905ab6c094742">gg::Map::mTiles</a></div><div class="ttdeci">std::vector&lt; Tile * &gt; mTiles</div><div class="ttdef"><b>Definition:</b> Map.hpp:52</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a2ef8c67d44425d20ee7308b43254fd91"><div class="ttname"><a href="classgg_1_1Map.html#a2ef8c67d44425d20ee7308b43254fd91">gg::Map::Map</a></div><div class="ttdeci">Map()=default</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a35b3d781ff55c72bf709d37d7e368cf4"><div class="ttname"><a href="classgg_1_1Map.html#a35b3d781ff55c72bf709d37d7e368cf4">gg::Map::CreateIndustrialTile</a></div><div class="ttdeci">auto CreateIndustrialTile(sf::Vector2f coordinates) -&gt; BuildingTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a381f238efdcb30cc28663354a945486a"><div class="ttname"><a href="classgg_1_1Map.html#a381f238efdcb30cc28663354a945486a">gg::Map::mWidth</a></div><div class="ttdeci">unsigned int mWidth</div><div class="ttdef"><b>Definition:</b> Map.hpp:49</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a4128f6e11fbb519156cdbdc6c46598a6"><div class="ttname"><a href="classgg_1_1Map.html#a4128f6e11fbb519156cdbdc6c46598a6">gg::Map::CreateWaterDownTile</a></div><div class="ttdeci">auto CreateWaterDownTile(sf::Vector2f coordinates) -&gt; TerrainTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a422a0accec11601b74e894f49ac43d52"><div class="ttname"><a href="classgg_1_1Map.html#a422a0accec11601b74e894f49ac43d52">gg::Map::CreateRoadTile</a></div><div class="ttdeci">auto CreateRoadTile(sf::Vector2f coordinates, RoadType roadType) -&gt; RoadTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a4b0a1fe7ee107aa46f7828149f3b3557"><div class="ttname"><a href="classgg_1_1Map.html#a4b0a1fe7ee107aa46f7828149f3b3557">gg::Map::mCanalAttributes</a></div><div class="ttdeci">Attributes mCanalAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:60</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a50031a1279a761fa3e5f85a43a13305c"><div class="ttname"><a href="classgg_1_1Map.html#a50031a1279a761fa3e5f85a43a13305c">gg::Map::mHeight</a></div><div class="ttdeci">unsigned int mHeight</div><div class="ttdef"><b>Definition:</b> Map.hpp:50</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a51c8f9164f76be79cab3b7a095c60a92"><div class="ttname"><a href="classgg_1_1Map.html#a51c8f9164f76be79cab3b7a095c60a92">gg::Map::SetWidth</a></div><div class="ttdeci">void SetWidth(unsigned int width)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a58eae1a48c136ff89af8831949f80127"><div class="ttname"><a href="classgg_1_1Map.html#a58eae1a48c136ff89af8831949f80127">gg::Map::SetBegin</a></div><div class="ttdeci">void SetBegin(sf::Vector2f begin)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a6aa5289361af1a7dbc68bf97f5722e17"><div class="ttname"><a href="classgg_1_1Map.html#a6aa5289361af1a7dbc68bf97f5722e17">gg::Map::Update</a></div><div class="ttdeci">void Update()</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a7075005892d768dd8d31a25bc7a1fe41"><div class="ttname"><a href="classgg_1_1Map.html#a7075005892d768dd8d31a25bc7a1fe41">gg::Map::mTreeAttributes</a></div><div class="ttdeci">Attributes mTreeAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:59</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a788f46a8ab34327503a10af9b36800d5"><div class="ttname"><a href="classgg_1_1Map.html#a788f46a8ab34327503a10af9b36800d5">gg::Map::mGrassAttributes</a></div><div class="ttdeci">Attributes mGrassAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:62</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a7c7f62271a61e86c842ca09538696c59"><div class="ttname"><a href="classgg_1_1Map.html#a7c7f62271a61e86c842ca09538696c59">gg::Map::mWaterAttributes</a></div><div class="ttdeci">Attributes mWaterAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:63</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a8b6377fce0335a7f59f420e934f9489b"><div class="ttname"><a href="classgg_1_1Map.html#a8b6377fce0335a7f59f420e934f9489b">gg::Map::mWaterDownAttributes</a></div><div class="ttdeci">Attributes mWaterDownAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:61</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a9177e1c9a4857d524f94bb302b8ee7a8"><div class="ttname"><a href="classgg_1_1Map.html#a9177e1c9a4857d524f94bb302b8ee7a8">gg::Map::ChangeLocation</a></div><div class="ttdeci">void ChangeLocation()</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a982ba8264fecaa86d40100bf619467da"><div class="ttname"><a href="classgg_1_1Map.html#a982ba8264fecaa86d40100bf619467da">gg::Map::SaveToFilename</a></div><div class="ttdeci">void SaveToFilename(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_a9889aeb4d9d1c7d4e758c6e858b551c3"><div class="ttname"><a href="classgg_1_1Map.html#a9889aeb4d9d1c7d4e758c6e858b551c3">gg::Map::CreateTreeTile</a></div><div class="ttdeci">auto CreateTreeTile(sf::Vector2f coordinates) -&gt; TerrainTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_aa0c694c9227698769a93f49838195360"><div class="ttname"><a href="classgg_1_1Map.html#aa0c694c9227698769a93f49838195360">gg::Map::mBegin</a></div><div class="ttdeci">sf::Vector2f mBegin</div><div class="ttdef"><b>Definition:</b> Map.hpp:54</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_aa67ab84e40e97b70638d97c23d6b35c1"><div class="ttname"><a href="classgg_1_1Map.html#aa67ab84e40e97b70638d97c23d6b35c1">gg::Map::mRoadAttributes</a></div><div class="ttdeci">Attributes mRoadAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:64</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_aacb91ed35bf44fa0486c32137bec1f3d"><div class="ttname"><a href="classgg_1_1Map.html#aacb91ed35bf44fa0486c32137bec1f3d">gg::Map::~Map</a></div><div class="ttdeci">~Map()</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_aacfc3a30c868a2a32cd27c1e5ed77806"><div class="ttname"><a href="classgg_1_1Map.html#aacfc3a30c868a2a32cd27c1e5ed77806">gg::Map::MoveMap</a></div><div class="ttdeci">void MoveMap(float x, float y)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_abfc7f2a9da7831b7d3e6dd049535416b"><div class="ttname"><a href="classgg_1_1Map.html#abfc7f2a9da7831b7d3e6dd049535416b">gg::Map::LoadFromXML</a></div><div class="ttdeci">void LoadFromXML(const XMLDocument &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ac22338ca9e8d796a4e54306c475c6f44"><div class="ttname"><a href="classgg_1_1Map.html#ac22338ca9e8d796a4e54306c475c6f44">gg::Map::mResidentialAttributes</a></div><div class="ttdeci">Attributes mResidentialAttributes</div><div class="ttdef"><b>Definition:</b> Map.hpp:57</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ac61d0c10d7d97efcc02442ceb7837781"><div class="ttname"><a href="classgg_1_1Map.html#ac61d0c10d7d97efcc02442ceb7837781">gg::Map::CreateGrassTile</a></div><div class="ttdeci">auto CreateGrassTile(sf::Vector2f coordinates) -&gt; TerrainTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ac75a2f7eb85b5c8e371ee7bddf5d6977"><div class="ttname"><a href="classgg_1_1Map.html#ac75a2f7eb85b5c8e371ee7bddf5d6977">gg::Map::mTileSize</a></div><div class="ttdeci">sf::Vector2f mTileSize</div><div class="ttdef"><b>Definition:</b> Map.hpp:55</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ad22218898e8860365782844f7ec1efcd"><div class="ttname"><a href="classgg_1_1Map.html#ad22218898e8860365782844f7ec1efcd">gg::Map::SetHeight</a></div><div class="ttdeci">void SetHeight(unsigned int height)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ad6d8d27541c3d337e8e3659ed175ae19"><div class="ttname"><a href="classgg_1_1Map.html#ad6d8d27541c3d337e8e3659ed175ae19">gg::Map::CreateWaterTile</a></div><div class="ttdeci">auto CreateWaterTile(sf::Vector2f coordinates) -&gt; TerrainTile *</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ad8e46e7efd7649d812d494893d374c84"><div class="ttname"><a href="classgg_1_1Map.html#ad8e46e7efd7649d812d494893d374c84">gg::Map::draw</a></div><div class="ttdeci">void draw(sf::RenderWindow &amp;window)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ae9ad6fed856fe51fe3f62d510a390560"><div class="ttname"><a href="classgg_1_1Map.html#ae9ad6fed856fe51fe3f62d510a390560">gg::Map::SetActive</a></div><div class="ttdeci">void SetActive(bool b)</div></div>
<div class="ttc" id="aclassgg_1_1Map_html_ae9eb74d5200bd9ebec980e31c5611298"><div class="ttname"><a href="classgg_1_1Map.html#ae9eb74d5200bd9ebec980e31c5611298">gg::Map::ChangeTile</a></div><div class="ttdeci">void ChangeTile(Tile *, Tile *)</div></div>
<div class="ttc" id="aclassgg_1_1RoadTile_html"><div class="ttname"><a href="classgg_1_1RoadTile.html">gg::RoadTile</a></div><div class="ttdef"><b>Definition:</b> RoadTile.hpp:23</div></div>
<div class="ttc" id="aclassgg_1_1TerrainTile_html"><div class="ttname"><a href="classgg_1_1TerrainTile.html">gg::TerrainTile</a></div><div class="ttdef"><b>Definition:</b> TerrainTile.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Tile_html"><div class="ttname"><a href="classgg_1_1Tile.html">gg::Tile</a></div><div class="ttdef"><b>Definition:</b> Tile.hpp:21</div></div>
<div class="ttc" id="aclassgg_1_1XMLDocument_html"><div class="ttname"><a href="classgg_1_1XMLDocument.html">gg::XMLDocument</a></div><div class="ttdef"><b>Definition:</b> XMLDocument.hpp:10</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
<div class="ttc" id="anamespacegg_html_a59e8f774a3ab30332c9369908203b584"><div class="ttname"><a href="namespacegg.html#a59e8f774a3ab30332c9369908203b584">gg::RoadType</a></div><div class="ttdeci">RoadType</div><div class="ttdef"><b>Definition:</b> RoadTile.hpp:11</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
